QXmpp: QXmppBookmarkManager Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Signals | Public Member Functions | List of all members
QXmppBookmarkManager Class Reference

The QXmppBookmarkManager class allows you to store and retrieve bookmarks as defined by XEP-0048: Bookmarks. More...

`#include <QXmppBookmarkManager.h>`

Inheritance diagram for QXmppBookmarkManager:

## Signals
void | bookmarksReceived (const QXmppBookmarkSet &bookmarks)
| This signal is emitted when bookmarks are received.

## Public Member Functions
| QXmppBookmarkManager ()
| ~QXmppBookmarkManager ()
bool | areBookmarksReceived () const
QXmppBookmarkSet | bookmarks () const
bool | setBookmarks (const QXmppBookmarkSet &bookmarks)
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual | ~QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList < QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)=0
| You need to implement this method to process incoming XMPP stanzas.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Additional Inherited Members
Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client ()
virtual void | setClient (QXmppClient *client)

## Detailed Description

The QXmppBookmarkManager class allows you to store and retrieve bookmarks as defined by XEP-0048: Bookmarks.

## Constructor & Destructor Documentation

QXmppBookmarkManager::QXmppBookmarkManager | ( |  | ) |

Constructs a new bookmark manager.

QXmppBookmarkManager::~QXmppBookmarkManager | ( |  | ) |

Destroys a bookmark manager.

## Member Function Documentation

bool QXmppBookmarkManager::areBookmarksReceived | ( |  | ) | const

Returns true if the bookmarks have been received from the server, false otherwise.

QXmppBookmarkSet QXmppBookmarkManager::bookmarks | ( |  | ) | const

Returns the bookmarks stored on the server.

Before calling this method, check that the bookmarks have indeed been received by calling areBookmarksReceived().

bool QXmppBookmarkManager::setBookmarks | ( | const QXmppBookmarkSet & | bookmarks | ) |

Stores the bookmarks on the server.

Parameters

  bookmarks |

The documentation for this class was generated from the following files:

- QXmppBookmarkManager.h
- QXmppBookmarkManager.cpp